Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 10 von 15

Thema: Eilt: Adminbereich funktioniert nicht mehr mit PHP 5.3

  1. #1
    Padawan Stufe II Avatar von mianmi
    Registriert seit
    24.09.2005
    Beiträge
    142
    Themen
    31
    DANKE
    3
    Erhaltene Danke: 0

    Standard Eilt: Adminbereich funktioniert nicht mehr mit PHP 5.3

    Hallo,

    habe gerade dringendes Problem. Mein Hoster hat heute auf PHP 5.3 umgestellt, seitdem kann ich mich nicht mehr als Admin einloggen. Ich bekomme die Meldung: "Es gab einen Sicherheitsfehler, als Sie versucht haben sich anzumelden."

    Wie kann ich das beheben?

  2. #2
    Padawan Stufe VI Avatar von jjuno
    Registriert seit
    26.09.2008
    Beiträge
    758
    Themen
    14
    DANKE
    4
    Erhaltene Danke: 45

    Standard

    Die 1.39 kann PHP 5.3, hatte nach dem Update auf 1.5 das selbe Problem und konnte es lösen mittels Änderung im Admin Menü beim Hoster.

    Bei meinem Hoster wird PHP Version 5.xx als Stable / Latest / Legacy angeboten. Die Änderung auf Stable hat das Problem gelöst. Probier einfach mal im Admin
    Menü die PHP Version entsprechend zu setzen.

  3. #3
    Padawan Stufe II Avatar von mianmi
    Registriert seit
    24.09.2005
    Beiträge
    142
    Themen
    31
    DANKE
    3
    Erhaltene Danke: 0
    Erstellt von

    Standard

    so eine Einstellmöglichkeit habe ich bei meinem Hoster leider nicht gefunden. Nur folgende Info: Die Umstellung auf PHP 5.3 ist endgültig, nach dem Umstellungstermin können wir kein PHP 5.2 mehr anbieten - auch nicht übergangsweise.
    Zwischen den beiden Versionen PHP 5.2 und PHP 5.3 gibt es ein paar relevante Unterschiede, daher kann es sein, dass Sie Ihre Skripte auf die neue PHP Version anpassen müssen.
    Mist, es legt mir grad mein Geschäft lahm

  4. #4
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Dein Hoster hat wahrscheinlich folgendes PHP Setting aktiv:
    session.use_only_cookies = 1
    Wenn Du Zugang zur php.ini hast oder eine eigene php.ini verwenden kannst, stelle dort auf:
    Code:
    session.use_only_cookies = Off
    oder
    Code:
    session.use_only_cookies = 0
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  5. Folgender User sagt Danke zu webchills für den nützlichen Beitrag:

    mianmi (05.09.2012)

  6. #5
    Padawan Stufe II Avatar von mianmi
    Registriert seit
    24.09.2005
    Beiträge
    142
    Themen
    31
    DANKE
    3
    Erhaltene Danke: 0
    Erstellt von

    Standard

    Bingo, ich konnte den Wert zwar selbst nicht ändern, aber der Hoster Support. Nun habe ich wieder Zugriff. Vielen Dank !!!
    Geändert von mianmi (05.09.2012 um 12:40 Uhr)

  7. #6
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Welcher Hoster ist das?
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  8. #7
    Padawan Stufe II Avatar von mianmi
    Registriert seit
    24.09.2005
    Beiträge
    142
    Themen
    31
    DANKE
    3
    Erhaltene Danke: 0
    Erstellt von

    Standard

    hosteurope.de hier die phpinfo: http://www.hosteurope-infos.de/phpinfo.php

  9. #8
    Padawan Stufe I Avatar von draver
    Registriert seit
    02.02.2006
    Beiträge
    59
    Themen
    16
    DANKE
    0
    Erhaltene Danke: 0

    Standard

    Zitat Zitat von webchills Beitrag anzeigen
    Dein Hoster hat wahrscheinlich folgendes PHP Setting aktiv:
    session.use_only_cookies = 1
    Wenn Du Zugang zur php.ini hast oder eine eigene php.ini verwenden kannst, stelle dort auf:
    Code:
    session.use_only_cookies = Off
    oder
    Code:
    session.use_only_cookies = 0

    Ich habe das selber Problem. Funktioniert das bei allen ZEN Cart Versionen?

    Meine Version läuft auch nicht und ehrlich gesagt, habe ich nicht mal die Ahnung welche Version genau auf dem Server war. Ins Admin Menü komme ich ja auch nicht mehr.

    Gibt es eine Möglichkeit anhand der Files zu sehen, welche Version man hat?

  10. #9
    Jedi-Ritter Avatar von webchills
    Registriert seit
    30.10.2004
    Ort
    Österreich
    Beiträge
    6.080
    Themen
    85
    DANKE
    3
    Erhaltene Danke: 958

    Standard

    Zitat Zitat von draver Beitrag anzeigen
    Gibt es eine Möglichkeit anhand der Files zu sehen, welche Version man hat?
    Öffne die includes/version.php:
    1.3.9:
    Code:
    define('PROJECT_VERSION_NAME', 'Zen Cart');
    define('PROJECT_VERSION_MAJOR', '1');
    define('PROJECT_VERSION_MINOR', '3.9h');
    1.5:
    Code:
    define('PROJECT_VERSION_NAME', 'Zen Cart');
    define('PROJECT_VERSION_MAJOR', '1');
    define('PROJECT_VERSION_MINOR', '5.0');
    !!! kostenloser Support ausschließlich im Forum - Nicht per Email, nicht per Telefon und nicht per PM !!!

  11. #10
    Padawan Stufe I Avatar von draver
    Registriert seit
    02.02.2006
    Beiträge
    59
    Themen
    16
    DANKE
    0
    Erhaltene Danke: 0

    Standard

    Danke für die schnelle Antwort.


    define('PROJECT_VERSION_NAME', 'Zen Cart');define('PROJECT_VERSION_MAJOR', '1');
    define('PROJECT_VERSION_MINOR', '3.7');
    define('PROJECT_VERSION_PATCH1', '1');
    define('PROJECT_VERSION_PATCH2', '');
    define('PROJECT_VERSION_PATCH1_SOURCE', '');
    define('PROJECT_VERSION_PATCH2_SOURCE', '');
    define('NEW_VERSION_CHECKUP_URL','http://ping.zen-cart.com/version_id.txt');
    define('EXPECTED_DATABASE_VERSION_MAJOR', '1');
    define('EXPECTED_DATABASE_VERSION_MINOR', '3.7');
    Urgs, schon etwas älter

    Was kann ich da machen? Reicht es da den Support zu überreden die Settings zu ändern oder sollte ich versuchen ein Update auf die neuste Version machen?

Seite 1 von 2 12 LetzteLetzte

Ähnliche Themen

  1. Adminbereich nicht mehr erreichbar nach CHMOD
    Von Stoertebecker im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 11
    Letzter Beitrag: 16.02.2012, 17:07
  2. Hatte funktioniert und jezt nicht mehr
    Von azrailbey im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 4
    Letzter Beitrag: 09.10.2011, 16:27
  3. Adminbereich läd nicht mehr
    Von henny im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 1
    Letzter Beitrag: 26.08.2009, 11:57
  4. SEO URLs 2.106 installiert. Es funktioniert nicht mehr
    Von Dressmaker im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 12
    Letzter Beitrag: 23.08.2009, 15:23
  5. Checkout im Shop funktioniert nicht mehr
    Von lowrider69 im Forum Archivierte Beiträge Zen-Cart Support
    Antworten: 4
    Letzter Beitrag: 21.11.2005, 18:13

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •  
zen-cart-pro.at
Zen Cart ist eine kostenlose unter der GPL-Lizenz veröffentlichte Open-Source Shopsoftware. Das System wird in den USA entwickelt, die amerikanische Website dazu ist www.zen-cart.com

Die deutsche Zen-Cart Version, um die es hier auf zen-cart-pro.at geht, ist eine Anpassung der amerikanischen Version an die Bedürfnisse von Onlineshopbetreibern im deutschsprachigen Raum.

Die deutsche Zen Cart Version wird von einem Team von Entwicklern in Österreich und Deutschland betreut, weiterentwickelt und supportet und steht kostenlos in unserem Downloadbereich zur Verfügung.

[mehr]
Follow Us
  • zen-cart-pro-at auf Twitter
  • zen-cart-pro-at auf Github
  • zen-cart-pro-at auf SourceForge
Aktuelle Version
Zen Cart 1.5.5 deutsch
Revision 1188 vom 02.12.2016
[Download]